﻿<ResourceDictionary xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
                    xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
                    xmlns:sys="clr-namespace:System;assembly=mscorlib"
                    xmlns:comp="clr-namespace:Tpig.Components.CustomUi">

    <ResourceDictionary.MergedDictionaries>
        <ResourceDictionary Source="/Tpig.Components.CustomUi;component/Styles/ThickCurveRed.xaml"/>
        <ResourceDictionary Source="/Tpig.Components.CustomUi;component/PlaceholderTextBox.xaml"/>
    </ResourceDictionary.MergedDictionaries>


    <!-- PlaceholderTextBox -->

    <Style TargetType="comp:PlaceholderTextBox" BasedOn="{StaticResource {x:Type comp:PlaceholderTextBox}}" x:Key="ThickCurveRedPlaceholderTextBox">
        <Setter Property="Foreground" Value="Black"/>
        <Setter Property="Template">
            <Setter.Value>
                <ControlTemplate TargetType="comp:PlaceholderTextBox">
                    <Border CornerRadius="16" 
                            BorderThickness="4" 
                            BorderBrush="Gray" 
                            Background="White" 
                            x:Name="Border">
                        <Grid>
                            <ScrollViewer VerticalScrollBarVisibility="Hidden" 
                                          HorizontalScrollBarVisibility="Hidden"
                                          Focusable="{TemplateBinding Focusable}" 
                                          x:Name="PART_ContentHost"/>
                            <TextBlock VerticalAlignment="Center" 
                                       TextAlignment="{Binding RelativeSource={RelativeSource Mode=FindAncestor, AncestorType={x:Type comp:PlaceholderTextBox}}, Path=PlaceholderAlignment}"
                                       Text="{Binding RelativeSource={RelativeSource Mode=FindAncestor, AncestorType={x:Type comp:PlaceholderTextBox}}, Path=Placeholder}"
                                       Margin="{TemplateBinding Padding}"
                                       FontStyle="Italic" Foreground="Gray" 
                                       Visibility="Hidden" Cursor="IBeam"
                                       x:Name="PlaceholderTextBlock"/>
                        </Grid>
                    </Border>
                    <ControlTemplate.Triggers>
                        <Trigger Property="IsEnabled" Value="False">
                            <Setter TargetName="Border" Property="Background" Value="LightGray"/>
                            <Setter TargetName="Border" Property="Opacity" Value="{StaticResource ThickCurveRedOpacity}"/>
                        </Trigger>
                        <Trigger Property="IsMouseOver" Value="True">
                            <Setter TargetName="Border" Property="BorderBrush" Value="{StaticResource ThickCurveRedGradientBrush}"/>
                        </Trigger>
                        <Trigger Property="IsKeyboardFocused" Value="True">
                            <Setter TargetName="Border" Property="BorderBrush" Value="Red"/>
                            <Setter TargetName="PlaceholderTextBlock" Property="Visibility" Value="Hidden"/>
                        </Trigger>
                        <Trigger Property="Text" Value="{x:Static sys:String.Empty}">
                            <Setter TargetName="PlaceholderTextBlock" Property="Visibility" Value="Visible"/>
                        </Trigger>
                        <Trigger Property="Text" Value="{x:Null}">
                            <Setter TargetName="PlaceholderTextBlock" Property="Visibility" Value="Visible"/>
                        </Trigger>
                    </ControlTemplate.Triggers>
                </ControlTemplate>
            </Setter.Value>
        </Setter>
    </Style>

</ResourceDictionary>
